PLplot: plplotP.h File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Macros | Typedefs | Enumerations | Functions | Variables
plplotP.h File Reference
`#include "plConfig.h"`
`#include <ctype.h>`
`#include <math.h>`
`#include <string.h>`
`#include <limits.h>`
`#include <float.h>`
`#include <locale.h>`
`#include "pldll.h"`
`#include "plplot.h"`
`#include "plstrm.h"`
`#include "pldebug.h"`

Go to the source code of this file.

## Classes
struct | Hershey_to_Unicode_table
struct | EscText
struct | DrvOpt
struct | cont_line
struct | cont_level
struct | arc_struct
struct | IMG_DT
struct | FCI_to_FontName_Table

## Macros
#define | M_PI 3.14159265358979323846
#define | FPOS_T long
#define | pl_fsetpos(a, b) fseek( a, *b, 0 )
#define | pl_fgetpos(a, b) ( -1L == ( *b = ftell( a ) ) )
#define | TRUE 1
#define | FALSE 0
#define | free_mem(a) if ( a != NULL ) { free( (void *) a ); a = NULL; }
#define | plsetvar(a, b) if ( b != PL_NOTSET ) a = b;
#define | MAX(a, b) ( ( ( a ) > ( b ) ) ? ( a ) : ( b ) )
#define | MIN(a, b) ( ( ( a ) < ( b ) ) ? ( a ) : ( b ) )
#define | ABS(a) ( ( a ) < 0 ? -( a ) : ( a ) )
#define | ROUND(a) (PLINT) ( ( a ) < 0. ? ( ( a ) - .5 ) : ( ( a ) + .5 ) )
#define | BETW(ix, ia, ib) ( ( ( ix ) <= ( ia ) && ( ix ) >= ( ib ) ) || ( ( ix ) >= ( ia ) && ( ix ) <= ( ib ) ) )
#define | SSQR(a, b) sqrt( ( a ) * ( a ) + ( b ) * ( b ) )
#define | SIGN(a) ( ( a ) < 0 ? -1 : 1 )
#define | TRANSFORM(x, y, xnew, ynew) if ( plsc->coordinate_transform ) { plsc->coordinate_transform( ( x ), ( y ), ( xnew ), ( ynew ), plsc->coordinate_transform_data ); } else { *xnew = x; *ynew = y; }
#define | PL_UNDEFINED -9999999
#define | snprintf plsnprintf
#define | snscanf plsnscanf
#define | isnan(x) ( ( x ) != ( x ) )
#define | isinf(x) ( !isnan( x ) && isnan( x - x ) )
#define | isfinite(x) ( !isnan( x - x ) )
#define | HUGE_VAL ( 1.0 / 0.0 )
#define | PL_MAXPOLY 256
#define | PL_NSTREAMS 100
#define | PL_RGB_COLOR -1
#define | TEXT_MODE 0
#define | GRAPHICS_MODE 1
#define | PI 3.1415926535897932384
#define | PIXELS_X 32768
#define | PIXELS_Y 24576
#define | DPMM 4.
#define | VDPMM ( DPMM * 32 )
#define | LPAGE_X ( PIXELS_X / VDPMM )
#define | LPAGE_Y ( PIXELS_Y / VDPMM )
#define | ORIENTATION 3
#define | PLSTATE_WIDTH 1
#define | PLSTATE_COLOR0 2
#define | PLSTATE_COLOR1 3
#define | PLSTATE_FILL 4
#define | PLSTATE_CMAP0 5
#define | PLSTATE_CMAP1 6
#define | PLDI_MAP 0x01
#define | PLDI_ORI 0x02
#define | PLDI_PLT 0x04
#define | PLDI_DEV 0x08
#define | PL_FILESIZE_KB 1000
#define | PLPLOT5_FONTS
#define | PL_XFONT "plxtnd5.fnt"
#define | PL_SFONT "plstnd5.fnt"
#define | PLPLOT_BIN_ENV "PLPLOT_BIN"
#define | PLPLOT_LIB_ENV "PLPLOT_LIB"
#define | PLPLOT_TCL_ENV "PLPLOT_TCL"
#define | PLPLOT_HOME_ENV "PLPLOT_HOME"
#define | PLPLOT_MAX_PATH 1024
#define | NAFFINE 6
#define | LINE_ITEMS 20

## Typedefs
typedef struct cont_line | CONT_LINE
typedef struct cont_level | CONT_LEVEL

## Enumerations
enum | { DRV_INT, DRV_FLT, DRV_STR }

## Functions
| PLDLLIMPEXP_DATA (PLStream *) plsc
int | plsnprintf (char *buffer, int n, const char *format,...)
int | plsnscanf (const char *buffer, int n, const char *format,...)
PLDLLIMPEXP void | plP_affine_identity (PLFLT *affine_vector)
PLDLLIMPEXP void | plP_affine_translate (PLFLT *affine_vector, PLFLT xtranslate, PLFLT ytranslate)
PLDLLIMPEXP void | plP_affine_scale (PLFLT *affine_vector, PLFLT xscale, PLFLT yscale)
PLDLLIMPEXP void | plP_affine_rotate (PLFLT *affine_vector, PLFLT angle)
PLDLLIMPEXP void | plP_affine_xskew (PLFLT *affine_vector, PLFLT angle)
PLDLLIMPEXP void | plP_affine_yskew (PLFLT *affine_vector, PLFLT angle)
PLDLLIMPEXP void | plP_affine_multiply (PLFLT *affine_vectorA, const PLFLT *affine_vectorB, const PLFLT *affine_vectorC)
void | pldtik (PLFLT vmin, PLFLT vmax, PLFLT *tick, PLINT *nsubt, PLBOOL ld)
void | label_box_custom (const char *xopt, PLINT n_xticks, const PLFLT *xticks, const char *yopt, PLINT n_yticks, const PLFLT *yticks)
void | pldtfac (PLFLT vmin, PLFLT vmax, PLFLT *factor, PLFLT *tstart)
void | pldprec (PLFLT vmin, PLFLT vmax, PLFLT tick, PLINT lf, PLINT *mode, PLINT *prec, PLINT digmax, PLINT *scale)
void | plP_pllclp (PLINT *x, PLINT *y, PLINT npts, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax, void(*draw)(short *, short *, PLINT))
void | plP_plfclp (PLINT *x, PLINT *y, PLINT npts, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax, void(*draw)(short *, short *, PLINT))
int | plP_clip_poly (int Ni, PLFLT *Vi[3], int axis, PLFLT dir, PLFLT offset)
int | plP_clipline (PLINT *p_x1, PLINT *p_y1, PLINT *p_x2, PLINT *p_y2, PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax)
void | plP_hex2fci (unsigned char hexdigit, unsigned char hexpower, PLUNICODE *pfci)
PLDLLIMPEXP void | plP_fci2hex (PLUNICODE fci, unsigned char *phexdigit, unsigned char hexpower)
PLDLLIMPEXP void | plfill_soft (short *x, short *y, PLINT npts)
PLDLLIMPEXP void | plexit (const char *errormsg)
void | pl_exit (void)
PLDLLIMPEXP void | plwarn (const char *errormsg)
PLDLLIMPEXP void | plabort (const char *errormsg)
void | plfntld (PLINT fnt)
void | plfontrel (void)
PLDLLIMPEXP char * | plstrdup (const char *src)
PLDLLIMPEXP void | plcmap1_calc (void)
void | plstik (PLFLT mx, PLFLT my, PLFLT dx, PLFLT dy)
void | plstr (PLINT base, PLFLT *xform, PLINT refx, PLINT refy, const char *string)
void | plxtik (PLINT x, PLINT y, PLINT below, PLINT above)
void | plytik (PLINT x, PLINT y, PLINT left, PLINT right)
PLDLLIMPEXP void | difilt (PLINT *, PLINT *, PLINT, PLINT *, PLINT *, PLINT *, PLINT *)
PLDLLIMPEXP void | difilt_clip (PLINT *, PLINT *)
PLDLLIMPEXP void | plP_script_scale (PLBOOL ifupper, PLINT *level, PLFLT *old_scale, PLFLT *scale, PLFLT *old_offset, PLFLT *offset)
void | plP_text (PLINT base, PLFLT just, PLFLT *xform, PLINT x, PLINT y, PLINT refx, PLINT refy, const char *string)
PLDLLIMPEXP char * | plsave_set_locale (void)
PLDLLIMPEXP void | plrestore_locale (char *save_lc_numeric_locale)
PLDLLIMPEXP int | plParseDrvOpts (DrvOpt *)
void | plHelpDrvOpts (DrvOpt *)
void | cont_store (const PLFLT *const *f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, const PLFLT *clevel, PLINT nlevel, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data, CONT_LEVEL **contour)
void | cont_clean_store (CONT_LEVEL *ct)
void | plP_xgvpw (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_gdom (PLFLT *p_xmin, PLFLT *p_xmax, PLFLT *p_ymin, PLFLT *p_ymax)
void | plP_grange (PLFLT *p_zscl, PLFLT *p_zmin, PLFLT *p_zmax)
void | plP_gw3wc (PLFLT *p_dxx, PLFLT *p_dxy, PLFLT *p_dyx, PLFLT *p_dyy, PLFLT *p_dyz)
void | plP_gclp (PLINT *p_ixmin, PLINT *p_ixmax, PLINT *p_iymin, PLINT *p_iymax)
void | plP_sclp (PLINT ixmin, PLINT ixmax, PLINT iymin, PLINT iymax)
PLDLLIMPEXP void | plP_gphy (PLINT *p_ixmin, PLINT *p_ixmax, PLINT *p_iymin, PLINT *p_iymax)
PLDLLIMPEXP void | plP_gsub (PLINT *p_nx, PLINT *p_ny, PLINT *p_cs)
PLDLLIMPEXP void | plP_ssub (PLINT nx, PLINT ny, PLINT cs)
void | plP_subpInit (void)
PLDLLIMPEXP void | plP_gpixmm (PLFLT *p_x, PLFLT *p_y)
PLDLLIMPEXP void | plP_setpxl (PLFLT xpmm0, PLFLT ypmm0)
void | plP_gzback (PLINT **zbf, PLINT **zbc, PLFLT **zbt, PLFLT **zbw)
void | plP_movphy (PLINT x, PLINT y)
void | plP_draphy (PLINT x, PLINT y)
void | plP_movwor (PLFLT x, PLFLT y)
void | plP_drawor (PLFLT x, PLFLT y)
void | plP_draphy_poly (PLINT *x, PLINT *y, PLINT n)
void | plP_drawor_poly (const PLFLT *x, const PLFLT *y, PLINT n)
PLDLLIMPEXP void | plP_setphy (PLINT xmin, PLINT xmax, PLINT ymin, PLINT ymax)
PLDLLIMPEXP void | plP_setsub (void)
void | plP_gprec (PLINT *p_setp, PLINT *p_prec)
const char * | plP_gtimefmt (void)
PLFLT | plstrl (const char *string)
PLINT | plP_stindex (const char *str1, const char *str2)
PLDLLIMPEXP PLINT | plP_strpos (const char *str, int chr)
PLBOOL | plP_stsearch (const char *str, int chr)
PLINT | plP_dcpcx (PLFLT x)
PLINT | plP_dcpcy (PLFLT y)
PLINT | plP_mmpcx (PLFLT x)
PLINT | plP_mmpcy (PLFLT y)
PLINT | plP_wcpcx (PLFLT x)
PLINT | plP_wcpcy (PLFLT y)
PLFLT | plP_pcdcx (PLINT x)
PLFLT | plP_pcdcy (PLINT y)
PLFLT | plP_mmdcx (PLFLT x)
PLFLT | plP_mmdcy (PLFLT y)
PLFLT | plP_wcdcx (PLFLT x)
PLFLT | plP_wcdcy (PLFLT y)
PLFLT | plP_scdcx (PLFLT x)
PLFLT | plP_scdcy (PLFLT y)
PLFLT | plP_dcmmx (PLFLT x)
PLFLT | plP_dcmmy (PLFLT y)
PLFLT | plP_wcmmx (PLFLT x)
PLFLT | plP_wcmmy (PLFLT y)
PLFLT | plP_dcscx (PLFLT x)
PLFLT | plP_dcscy (PLFLT y)
PLFLT | plP_w3wcx (PLFLT x, PLFLT y, PLFLT z)
PLFLT | plP_w3wcy (PLFLT x, PLFLT y, PLFLT z)
PLFLT | plP_w3wcz (PLFLT x, PLFLT y, PLFLT z)
PLDLLIMPEXP void | plRotationShear (PLFLT *xFormMatrix, PLFLT *rotation, PLFLT *shear, PLFLT *stride)
int | plP_pointinpolygon (PLINT n, const PLFLT *x, const PLFLT *y, PLFLT xp, PLFLT yp)
void | plP_init (void)
void | plP_line (short *x, short *y)
void | plP_polyline (short *x, short *y, PLINT npts)
void | plP_fill (short *x, short *y, PLINT npts)
void | plP_gradient (short *x, short *y, PLINT npts)
void | plP_image (PLFLT *z, PLINT nx, PLINT ny, PLFLT xmin, PLFLT ymin, PLFLT dx, PLFLT dy, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
PLDLLIMPEXP void | plP_eop (void)
PLDLLIMPEXP void | plP_bop (void)
void | plP_tidy (void)
PLDLLIMPEXP void | plP_state (PLINT op)
PLDLLIMPEXP void | plP_esc (PLINT op, void *ptr)
void | plP_swin (PLWindow *plwin)
FILE * | plLibOpen (const char *fn)
PLDLLIMPEXP void | pllib_init (void)
PLDLLIMPEXP void | pllib_devinit (void)
PLDLLIMPEXP void | pl_cpcolor (PLColor *to, PLColor *from)
void | plstrm_init (void)
void PLDLLIMPEXP | plP_getinitdriverlist (char *names)
PLINT | plP_checkdriverinit (char *names)
void | NoBufferNoPixmap (void)
void | RestoreWrite2BufferPixmap (void)
void | grimage (short *x, short *y, unsigned short *z, PLINT nx, PLINT ny)
PLDLLIMPEXP int | plInBuildTree (void)
void | plimageslow (PLFLT *idata, PLINT nx, PLINT ny, PLFLT xmin, PLFLT ymin, PLFLT dx, PLFLT dy, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
PLDLLIMPEXP void | plfvect (PLFLT(*plf2eval)(PLINT, PLINT, PLPointer), PLPointer f2evalv_data, PLPointer f2evalc_data, PLINT nx, PLINT ny, PLFLT scale, void(*pltr)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer), PLPointer pltr_data)
int | plhershey2unicode (int in)
PLDLLIMPEXP const char * | plP_FCI2FontName (PLUNICODE fci, const FCI_to_FontName_Table lookup[], const int nlookup)
void | plP_FreeDrvOpts (void)
PLDLLIMPEXP int | ucs4_to_utf8 (PLUNICODE unichar, char *ptr)
void | plio_fwrite (void *, size_t, size_t, FILE *)
void | plio_fread (void *, size_t, size_t, FILE *)
void | plio_fgets (char *, int, FILE *)
void | plwxtik (PLFLT x, PLFLT y, PLBOOL minor, PLBOOL invert)
void | plwytik (PLFLT x, PLFLT y, PLBOOL minor, PLBOOL invert)
PLDLLIMPEXP FILE * | pl_create_tempfile (char **fname)
PLDLLIMPEXP char * | pl_create_tempfifo (const char **p_fifoname, const char **p_dirname)

## Variables
int | number_of_entries_in_hershey_to_unicode_table
Hershey_to_Unicode_table | hershey_to_unicode_lookup_table []
const char | plP_greek_mnemonic []

## Macro Definition Documentation

#define ABS | ( |  | a | ) | ( ( a ) < 0 ? -( a ) : ( a ) )

Definition at line 204 of file plplotP.h.

#define BETW | ( |  | ix,
|  |  | ia,
|  |  | ib
| ) |  | ( ( ( ix ) <= ( ia ) && ( ix ) >= ( ib ) ) || ( ( ix ) >= ( ia ) && ( ix ) <= ( ib ) ) )

Definition at line 210 of file plplotP.h.

#define DPMM 4.

Definition at line 311 of file plplotP.h.

#define FALSE 0

Definition at line 182 of file plplotP.h.

#define FPOS_T long

Definition at line 146 of file plplotP.h.

#define free_mem | ( |  | a | ) | if ( a != NULL ) { free( (void *) a ); a = NULL; }

Definition at line 187 of file plplotP.h.

#define GRAPHICS_MODE 1

Definition at line 293 of file plplotP.h.

#define HUGE_VAL ( 1.0 / 0.0 )

Definition at line 279 of file plplotP.h.

#define isfinite | ( |  | x | ) | ( !isnan( x - x ) )

Definition at line 273 of file plplotP.h.

#define isinf | ( |  | x | ) | ( !isnan( x ) && isnan( x - x ) )

Definition at line 270 of file plplotP.h.

#define isnan | ( |  | x | ) | ( ( x ) != ( x ) )

Definition at line 267 of file plplotP.h.

#define LINE_ITEMS 20

Definition at line 707 of file plplotP.h.

#define LPAGE_X ( PIXELS_X / VDPMM )

Definition at line 313 of file plplotP.h.

#define LPAGE_Y ( PIXELS_Y / VDPMM )

Definition at line 314 of file plplotP.h.

#define M_PI 3.14159265358979323846

Definition at line 124 of file plplotP.h.

#define MAX | ( |  | a,
|  |  | b
| ) |  | ( ( ( a ) > ( b ) ) ? ( a ) : ( b ) )

Definition at line 198 of file plplotP.h.

#define MIN | ( |  | a,
|  |  | b
| ) |  | ( ( ( a ) < ( b ) ) ? ( a ) : ( b ) )

Definition at line 201 of file plplotP.h.

#define NAFFINE 6

Definition at line 444 of file plplotP.h.

#define ORIENTATION 3

Definition at line 325 of file plplotP.h.

#define PI 3.1415926535897932384

Definition at line 295 of file plplotP.h.

#define PIXELS_X 32768

Definition at line 309 of file plplotP.h.

#define PIXELS_Y 24576

Definition at line 310 of file plplotP.h.

#define pl_fgetpos | ( |  | a,
|  |  | b
| ) |  | ( -1L == ( *b = ftell( a ) ) )

Definition at line 148 of file plplotP.h.

#define PL_FILESIZE_KB 1000

Definition at line 346 of file plplotP.h.

#define pl_fsetpos | ( |  | a,
|  |  | b
| ) |  | fseek( a, *b, 0 )

Definition at line 147 of file plplotP.h.

#define PL_MAXPOLY 256

Definition at line 288 of file plplotP.h.

#define PL_NSTREAMS 100

Definition at line 289 of file plplotP.h.

#define PL_RGB_COLOR -1

Definition at line 290 of file plplotP.h.

#define PL_SFONT "plstnd5.fnt"

Definition at line 355 of file plplotP.h.

#define PL_UNDEFINED -9999999

Definition at line 224 of file plplotP.h.

#define PL_XFONT "plxtnd5.fnt"

Definition at line 354 of file plplotP.h.

#define PLDI_DEV 0x08

Definition at line 341 of file plplotP.h.

#define PLDI_MAP 0x01

Definition at line 338 of file plplotP.h.

#define PLDI_ORI 0x02

Definition at line 339 of file plplotP.h.

#define PLDI_PLT 0x04

Definition at line 340 of file plplotP.h.

#define PLPLOT5_FONTS

Definition at line 351 of file plplotP.h.

#define PLPLOT_BIN_ENV "PLPLOT_BIN"

Definition at line 400 of file plplotP.h.

#define PLPLOT_HOME_ENV "PLPLOT_HOME"

Definition at line 403 of file plplotP.h.

#define PLPLOT_LIB_ENV "PLPLOT_LIB"

Definition at line 401 of file plplotP.h.

#define PLPLOT_MAX_PATH 1024

Definition at line 406 of file plplotP.h.

#define PLPLOT_TCL_ENV "PLPLOT_TCL"

Definition at line 402 of file plplotP.h.

#define plsetvar | ( |  | a,
|  |  | b
| ) |  | if ( b != PL_NOTSET ) a = b;

Definition at line 192 of file plplotP.h.

#define PLSTATE_CMAP0 5

Definition at line 333 of file plplotP.h.

#define PLSTATE_CMAP1 6

Definition at line 334 of file plplotP.h.

#define PLSTATE_COLOR0 2

Definition at line 330 of file plplotP.h.

#define PLSTATE_COLOR1 3

Definition at line 331 of file plplotP.h.

#define PLSTATE_FILL 4

Definition at line 332 of file plplotP.h.

#define PLSTATE_WIDTH 1

Definition at line 329 of file plplotP.h.

#define ROUND | ( |  | a | ) | (PLINT) ( ( a ) < 0. ? ( ( a ) - .5 ) : ( ( a ) + .5 ) )

Definition at line 207 of file plplotP.h.

#define SIGN | ( |  | a | ) | ( ( a ) < 0 ? -1 : 1 )

Definition at line 216 of file plplotP.h.

#define snprintf plsnprintf

Definition at line 240 of file plplotP.h.

#define snscanf plsnscanf

Definition at line 241 of file plplotP.h.

#define SSQR | ( |  | a,
|  |  | b
| ) |  | sqrt( ( a ) * ( a ) + ( b ) * ( b ) )

Definition at line 213 of file plplotP.h.

#define TEXT_MODE 0

Definition at line 292 of file plplotP.h.

#define TRANSFORM | ( |  | x,
|  |  | y,
|  |  | xnew,
|  |  | ynew
| ) |  | if ( plsc->coordinate_transform ) { plsc->coordinate_transform( ( x ), ( y ), ( xnew ), ( ynew ), plsc->coordinate_transform_data ); } else { *xnew = x; *ynew = y; }

Definition at line 219 of file plplotP.h.

#define TRUE 1

Definition at line 181 of file plplotP.h.

#define VDPMM ( DPMM * 32 )

Definition at line 312 of file plplotP.h.

## Typedef Documentation

typedef struct cont_level CONT_LEVEL

typedef struct cont_line CONT_LINE

## Enumeration Type Documentation

anonymous enum

Enumerator:

  DRV_INT |
  DRV_FLT |
  DRV_STR |

Definition at line 691 of file plplotP.h.

## Function Documentation

void cont_clean_store | ( | CONT_LEVEL * | ct | ) |

Definition at line 179 of file plcont.c.

void cont_store | ( | const PLFLT *const * | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data,
|  | CONT_LEVEL ** | contour
| ) |  |

Definition at line 492 of file plcont.c.

PLDLLIMPEXP void difilt | ( | PLINT * | ,
|  | PLINT * | ,
|  | PLINT | ,
|  | PLINT * | ,
|  | PLINT * | ,
|  | PLINT * | ,
|  | PLINT * |
| ) |  |

Definition at line 1362 of file plcore.c.

PLDLLIMPEXP void difilt_clip | ( | PLINT * | ,
|  | PLINT * |
| ) |  |

Definition at line 1505 of file plcore.c.

void grimage | ( | short * | x,
|  | short * | y,
|  | unsigned short * | z,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 151 of file plimage.c.

void label_box_custom | ( | const char * | xopt,
|  | PLINT | n_xticks,
|  | const PLFLT * | xticks,
|  | const char * | yopt,
|  | PLINT | n_yticks,
|  | const PLFLT * | yticks
| ) |  |

Definition at line 1888 of file plbox.c.

void NoBufferNoPixmap | ( | void |  | ) |

Definition at line 41 of file plimage.c.

PLDLLIMPEXP void pl_cpcolor | ( | PLColor * | to,
|  | PLColor * | from
| ) |  |

Definition at line 2636 of file plcore.c.

PLDLLIMPEXP char* pl_create_tempfifo | ( | const char ** | p_fifoname,
|  | const char ** | p_dirname
| ) |  |

Definition at line 274 of file plstdio.c.

PLDLLIMPEXP FILE* pl_create_tempfile | ( | char ** | fname | ) |

Definition at line 173 of file plstdio.c.

void pl_exit | ( | void |  | ) |

PLDLLIMPEXP void plabort | ( | const char * | errormsg | ) |

Much the same as plwarn(), but appends ", aborting operation" to the error message. Helps to keep source code uncluttered and provides a convention for error aborts.

If cleanup needs to be done in the main program, the user should write his/her own exit handler and pass it in via plsabort().

Parameters

  errormsg | The error message.

Definition at line 1886 of file plctrl.c.

PLDLLIMPEXP void plcmap1_calc | ( | void |  | ) |

Bin up cmap 1 space and assign colors to make inverse mapping easy. Always do interpolation in HLS space.

Definition at line 806 of file plctrl.c.

PLDLLIMPEXP_DATA | ( | PLStream * |  | ) |

void pldprec | ( | PLFLT | vmin,
|  | PLFLT | vmax,
|  | PLFLT | tick,
|  | PLINT | lf,
|  | PLINT * | mode,
|  | PLINT * | prec,
|  | PLINT | digmax,
|  | PLINT * | scale
| ) |  |

Definition at line 253 of file pldtik.c.

void pldtfac | ( | PLFLT | vmin,
|  | PLFLT | vmax,
|  | PLFLT * | factor,
|  | PLFLT * | tstart
| ) |  |

Definition at line 124 of file pldtik.c.

void pldtik | ( | PLFLT | vmin,
|  | PLFLT | vmax,
|  | PLFLT * | tick,
|  | PLINT * | nsubt,
|  | PLBOOL | ld
| ) |  |

Definition at line 38 of file pldtik.c.

PLDLLIMPEXP void plexit | ( | const char * | errormsg | ) |

In case of an abort this routine is called. It just prints out an error message and tries to clean up as much as possible. It's best to turn off pause and then restore previous setting before returning.

If cleanup needs to be done in the main program, the user should write his/her own exit handler and pass it in via plsexit(). This function should should either call plend() before exiting, or simply return.

Parameters

  errormsg | The error message.

Definition at line 1950 of file plctrl.c.

PLDLLIMPEXP void plfill_soft | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 309 of file plfill.c.

void plfntld | ( | PLINT | fnt | ) |

Definition at line 1362 of file plsym.c.

void plfontrel | ( | void |  | ) |

Definition at line 1431 of file plsym.c.

PLDLLIMPEXP void plfvect | ( | PLFLT(*)(PLINT, PLINT, PLPointer) | plf2eval,
|  | PLPointer | f2evalv_data,
|  | PLPointer | f2evalc_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | scale,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 138 of file plvect.c.

void plHelpDrvOpts | ( | DrvOpt * | acc_opt | ) |

Give driver specific help

Parameters

  acc_opt | ?

Definition at line 1491 of file plargs.c.

int plhershey2unicode | ( | int | in | ) |

Definition at line 1458 of file plsym.c.

void plimageslow | ( | PLFLT * | idata,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 91 of file plimage.c.

PLDLLIMPEXP int plInBuildTree | ( | void |  | ) |

Definition at line 2791 of file plcore.c.

void plio_fgets | ( | char * | ,
|  | int | ,
|  | FILE * |
| ) |  |

Definition at line 130 of file plstdio.c.

void plio_fread | ( | void * | ,
|  | size_t | ,
|  | size_t | ,
|  | FILE * |
| ) |  |

Definition at line 86 of file plstdio.c.

void plio_fwrite | ( | void * | ,
|  | size_t | ,
|  | size_t | ,
|  | FILE * |
| ) |  |

Definition at line 56 of file plstdio.c.

PLDLLIMPEXP void pllib_devinit | ( | void |  | ) |

Definition at line 2777 of file plcore.c.

PLDLLIMPEXP void pllib_init | ( | void |  | ) |

Definition at line 2162 of file plcore.c.

FILE* plLibOpen | ( | const char * | fn | ) |

Return file pointer to library file (such as a colormap palette). Locations checked: PLPLOT_LIB_ENV = current directory PLPLOT_HOME_ENV/lib = /lib DATA_DIR PLLIBDEV

Parameters

  fn | Name of the file.

Returns
  A open file pointer (if successful).

Definition at line 2220 of file plctrl.c.

PLDLLIMPEXP void plP_affine_identity | ( | PLFLT * | affine_vector | ) |

Returns affine identity matrix

Parameters

  affine_vector | Initialize a (pre-allocated) transform matrix.

Definition at line 58 of file plaffine.c.

PLDLLIMPEXP void plP_affine_multiply | ( | PLFLT * | affine_vectorA,
|  | const PLFLT * | affine_vectorB,
|  | const PLFLT * | affine_vectorC
| ) |  |

Multiply two affine transformation matrices to form a third.

A = B * C

Parameters

  affine_vectorA | Pre-allocated storage for the result of multiplying matrix affine_vectorB by matrix affine_vectorC.
  affine_vectorB | First matrix to multiply.
  affine_vectorC | Second matrix to multiply.

Definition at line 186 of file plaffine.c.

PLDLLIMPEXP void plP_affine_rotate | ( | PLFLT * | affine_vector,
|  | PLFLT | angle
| ) |  |

Rotate new coordinate system axes relative to the old. angle is in degrees.

Parameters

  affine_vector | Pre-allocated storage for a rotation matrix.
  angle | Amount to rotate in degrees.

Definition at line 125 of file plaffine.c.

PLDLLIMPEXP void plP_affine_scale | ( | PLFLT * | affine_vector,
|  | PLFLT | xscale,
|  | PLFLT | yscale
| ) |  |

Scale new coordinate system axes relative to the old.

Parameters

  affine_vector | Pre-allocate storage for a scale matrix.
  xscale | Amount to scale in x.
  yscale | Amount to scale in y.

Definition at line 95 of file plaffine.c.

PLDLLIMPEXP void plP_affine_translate | ( | PLFLT * | affine_vector,
|  | PLFLT | xtranslate,
|  | PLFLT | ytranslate
| ) |  |

Translate new coordinate system axes relative to the old.

Parameters

  affine_vector | Pre-allocated storage for a translation matrix.
  xtranslate | Amount to translate in x.
  ytranslate | Amount to translate in y.

Definition at line 75 of file plaffine.c.

PLDLLIMPEXP void plP_affine_xskew | ( | PLFLT * | affine_vector,
|  | PLFLT | angle
| ) |  |

Skew new X coordinate axis relative to the old. angle is in degrees.

Parameters

  affine_vector | Pre-allocated storage for a skew (in x) matrix.
  angle | Amount to skew in degrees.

Definition at line 145 of file plaffine.c.

PLDLLIMPEXP void plP_affine_yskew | ( | PLFLT * | affine_vector,
|  | PLFLT | angle
| ) |  |

Skew new Y coordinate axis relative to the old. angle is in degrees.

Parameters

  affine_vector | Pre-allocated storage for a skew (in y) matrix.
  angle | Amount to skew in degrees.

Definition at line 164 of file plaffine.c.

PLDLLIMPEXP void plP_bop | ( | void |  | ) |

Definition at line 192 of file plcore.c.

PLINT plP_checkdriverinit | ( | char * | names | ) |

Definition at line 4183 of file plcore.c.

int plP_clip_poly | ( | int | Ni,
|  | PLFLT * | Vi[3],
|  | int | axis,
|  | PLFLT | dir,
|  | PLFLT | offset
| ) |  |

Definition at line 166 of file plot3d.c.

int plP_clipline | ( | PLINT * | p_x1,
|  | PLINT * | p_y1,
|  | PLINT * | p_x2,
|  | PLINT * | p_y2,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax
| ) |  |

Definition at line 699 of file plline.c.

PLFLT plP_dcmmx | ( | PLFLT | x | ) |

Definition at line 157 of file plcvt.c.

PLFLT plP_dcmmy | ( | PLFLT | y | ) |

Definition at line 165 of file plcvt.c.

PLINT plP_dcpcx | ( | PLFLT | x | ) |

Definition at line 33 of file plcvt.c.

PLINT plP_dcpcy | ( | PLFLT | y | ) |

Definition at line 41 of file plcvt.c.

PLFLT plP_dcscx | ( | PLFLT | x | ) |

Definition at line 193 of file plcvt.c.

PLFLT plP_dcscy | ( | PLFLT | y | ) |

Definition at line 201 of file plcvt.c.

void plP_draphy | ( | PLINT | x,
|  | PLINT | y
| ) |  |

Definition at line 474 of file plline.c.

void plP_draphy_poly | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | n
| ) |  |

Definition at line 529 of file plline.c.

void plP_drawor | ( | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 507 of file plline.c.

void plP_drawor_poly | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLINT | n
| ) |  |

Definition at line 556 of file plline.c.

PLDLLIMPEXP void plP_eop | ( | void |  | ) |

Definition at line 158 of file plcore.c.

PLDLLIMPEXP void plP_esc | ( | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 270 of file plcore.c.

PLDLLIMPEXP const char* plP_FCI2FontName | ( | PLUNICODE | fci,
|  | const FCI_to_FontName_Table | lookup[],
|  | const int | nlookup
| ) |  |

Definition at line 1516 of file plsym.c.

PLDLLIMPEXP void plP_fci2hex | ( | PLUNICODE | fci,
|  | unsigned char * | phexdigit,
|  | unsigned char | hexpower
| ) |  |

Definition at line 3811 of file plcore.c.

void plP_fill | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 428 of file plcore.c.

void plP_FreeDrvOpts | ( | void |  | ) |

Tidy up and free memory associated with driver options

Definition at line 1511 of file plargs.c.

void plP_gclp | ( | PLINT * | p_ixmin,
|  | PLINT * | p_ixmax,
|  | PLINT * | p_iymin,
|  | PLINT * | p_iymax
| ) |  |

Definition at line 4027 of file plcore.c.

void plP_gdom | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 3994 of file plcore.c.

void PLDLLIMPEXP plP_getinitdriverlist | ( | char * | names | ) |

Definition at line 4153 of file plcore.c.

PLDLLIMPEXP void plP_gphy | ( | PLINT * | p_ixmin,
|  | PLINT * | p_ixmax,
|  | PLINT * | p_iymin,
|  | PLINT * | p_iymax
| ) |  |

Definition at line 4049 of file plcore.c.

PLDLLIMPEXP void plP_gpixmm | ( | PLFLT * | p_x,
|  | PLFLT * | p_y
| ) |  |

Definition at line 4080 of file plcore.c.

void plP_gprec | ( | PLINT * | p_setp,
|  | PLINT * | p_prec
| ) |  |

Definition at line 3722 of file plcore.c.

void plP_gradient | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 493 of file plcore.c.

void plP_grange | ( | PLFLT * | p_zscl,
|  | PLFLT * | p_zmin,
|  | PLFLT * | p_zmax
| ) |  |

Definition at line 4005 of file plcore.c.

PLDLLIMPEXP void plP_gsub | ( | PLINT * | p_nx,
|  | PLINT * | p_ny,
|  | PLINT * | p_cs
| ) |  |

Definition at line 4060 of file plcore.c.

const char* plP_gtimefmt | ( | void |  | ) |

Definition at line 3729 of file plcore.c.

void plP_gw3wc | ( | PLFLT * | p_dxx,
|  | PLFLT * | p_dxy,
|  | PLFLT * | p_dyx,
|  | PLFLT * | p_dyy,
|  | PLFLT * | p_dyz
| ) |  |

Definition at line 4015 of file plcore.c.

void plP_gzback | ( | PLINT ** | zbf,
|  | PLINT ** | zbc,
|  | PLFLT ** | zbt,
|  | PLFLT ** | zbw
| ) |  |

Definition at line 1549 of file plot3d.c.

void plP_hex2fci | ( | unsigned char | hexdigit,
|  | unsigned char | hexpower,
|  | PLUNICODE * | pfci
| ) |  |

Definition at line 3798 of file plcore.c.

void plP_image | ( | PLFLT * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | void(*)(PLFLT, PLFLT, PLFLT *, PLFLT *, PLPointer) | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 4226 of file plcore.c.

void plP_init | ( | void |  | ) |

Definition at line 139 of file plcore.c.

void plP_line | ( | short * | x,
|  | short * | y
| ) |  |

Definition at line 365 of file plcore.c.

PLFLT plP_mmdcx | ( | PLFLT | x | ) |

Definition at line 105 of file plcvt.c.

PLFLT plP_mmdcy | ( | PLFLT | y | ) |

Definition at line 113 of file plcvt.c.

PLINT plP_mmpcx | ( | PLFLT | x | ) |

Definition at line 49 of file plcvt.c.

PLINT plP_mmpcy | ( | PLFLT | y | ) |

Definition at line 57 of file plcvt.c.

void plP_movphy | ( | PLINT | x,
|  | PLINT | y
| ) |  |

Definition at line 461 of file plline.c.

void plP_movwor | ( | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 491 of file plline.c.

PLFLT plP_pcdcx | ( | PLINT | x | ) |

Definition at line 89 of file plcvt.c.

PLFLT plP_pcdcy | ( | PLINT | y | ) |

Definition at line 97 of file plcvt.c.

void plP_plfclp | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | npts,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax,
|  | void(*)(short *, short *, PLINT) | draw
| ) |  |

Definition at line 533 of file plfill.c.

void plP_pllclp | ( | PLINT * | x,
|  | PLINT * | y,
|  | PLINT | npts,
|  | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax,
|  | void(*)(short *, short *, PLINT) | draw
| ) |  |

Definition at line 601 of file plline.c.

int plP_pointinpolygon | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLFLT | xp,
|  | PLFLT | yp
| ) |  |

Definition at line 1207 of file plfill.c.

void plP_polyline | ( | short * | x,
|  | short * | y,
|  | PLINT | npts
| ) |  |

Definition at line 394 of file plcore.c.

PLFLT plP_scdcx | ( | PLFLT | x | ) |

Definition at line 137 of file plcvt.c.

PLFLT plP_scdcy | ( | PLFLT | y | ) |

Definition at line 145 of file plcvt.c.

void plP_sclp | ( | PLINT | ixmin,
|  | PLINT | ixmax,
|  | PLINT | iymin,
|  | PLINT | iymax
| ) |  |

Definition at line 4038 of file plcore.c.

PLDLLIMPEXP void plP_script_scale | ( | PLBOOL | ifupper,
|  | PLINT * | level,
|  | PLFLT * | old_scale,
|  | PLFLT * | scale,
|  | PLFLT * | old_offset,
|  | PLFLT * | offset
| ) |  |

Calculate scale of font size and scale of magnitude of vertical offset associated with superscripts and subscripts. Notes on arguments: ifupper must be either TRUE or FALSE on every call to plP_script_scale. The contents of the location pointed to by the level pointer must be zero on the first call to plP_script_scale, but not modified externally from then on. The contents of the locations pointed to by all other pointer arguments are initialized internally, and should not be modified externally.

Parameters

  ifupper | Value which is TRUE if superscripting, i.e., if incrementing the previous level, and FALSE if subscripting, i.e., decrementing the previous level.
  level | Pointer to a location which contains the value of the superscript/subscript level. That value is 0, +-1, +-2, etc., for no superscript/subscript, the first level of superscript/subscript, the second level of superscript/subscript, etc. Before the call the value is the old level, and after the call the value will be incremented (ifupper TRUE) or decremented (ifupper FALSE) from the previous value.
  old_scale | A pointer to a location that contains after the call the old font size scale value.
  scale | A pointer to a location that contains after the call the font size scale value. This value is 0.75^{|level|} where |level| is the magnitude of the value of the superscript/subscript level after the call.
  old_offset | A pointer to a location that contains after the call the old value of the magnitude of the superscript/subscript offset.
  offset | A pointer to a location that contains after the call the value of the magnitude of the superscript/subscript offset which is zero for |level|=0 and sum_{i=1}^{i=|level|} 0.75^{i-1}, otherwise.

Definition at line 1270 of file plsym.c.

PLDLLIMPEXP void plP_setphy | ( | PLINT | xmin,
|  | PLINT | xmax,
|  | PLINT | ymin,
|  | PLINT | ymax
| ) |  |

Definition at line 4100 of file plcore.c.

PLDLLIMPEXP void plP_setpxl | ( | PLFLT | xpmm0,
|  | PLFLT | ypmm0
| ) |  |

Definition at line 4089 of file plcore.c.

PLDLLIMPEXP void plP_setsub | ( | void |  | ) |

Set up the subpage boundaries according to the current subpage selected.

Definition at line 188 of file plpage.c.

PLDLLIMPEXP void plP_ssub | ( | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | cs
| ) |  |

Definition at line 4070 of file plcore.c.

PLDLLIMPEXP void plP_state | ( | PLINT | op | ) |

Definition at line 253 of file plcore.c.

PLINT plP_stindex | ( | const char * | str1,
|  | const char * | str2
| ) |  |

Definition at line 1201 of file plsym.c.

PLDLLIMPEXP PLINT plP_strpos | ( | const char * | str,
|  | int | chr
| ) |  |

Definition at line 1184 of file plsym.c.

PLBOOL plP_stsearch | ( | const char * | str,
|  | int | chr
| ) |  |

Definition at line 1224 of file plsym.c.

void plP_subpInit | ( | void |  | ) |

Set up plot parameters according to the number of subpages.

Definition at line 133 of file plpage.c.

void plP_swin | ( | PLWindow * | plwin | ) |

Definition at line 305 of file plcore.c.

void plP_text | ( | PLINT | base,
|  | PLFLT | just,
|  | PLFLT * | xform,
|  | PLINT | x,
|  | PLINT | y,
|  | PLINT | refx,
|  | PLINT | refy,
|  | const char * | string
| ) |  |

Definition at line 621 of file plcore.c.

void plP_tidy | ( | void |  | ) |

Definition at line 225 of file plcore.c.

PLFLT plP_w3wcx | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | z
| ) |  |

PLFLT plP_w3wcy | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | z
| ) |  |

Definition at line 224 of file plcvt.c.

PLFLT plP_w3wcz | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | z
| ) |  |

Definition at line 235 of file plcvt.c.

PLFLT plP_wcdcx | ( | PLFLT | x | ) |

Definition at line 121 of file plcvt.c.

PLFLT plP_wcdcy | ( | PLFLT | y | ) |

Definition at line 129 of file plcvt.c.

PLFLT plP_wcmmx | ( | PLFLT | x | ) |

Definition at line 173 of file plcvt.c.

PLFLT plP_wcmmy | ( | PLFLT | y | ) |

Definition at line 181 of file plcvt.c.

PLINT plP_wcpcx | ( | PLFLT | x | ) |

Definition at line 65 of file plcvt.c.

PLINT plP_wcpcy | ( | PLFLT | y | ) |

Definition at line 75 of file plcvt.c.

void plP_xgvpw | ( | PLFLT * | p_xmin,
|  | PLFLT * | p_xmax,
|  | PLFLT * | p_ymin,
|  | PLFLT * | p_ymax
| ) |  |

Definition at line 3971 of file plcore.c.

PLDLLIMPEXP int plParseDrvOpts | ( | DrvOpt * | acc_opt | ) |

Parse driver specific options

Parameters

  acc_opt | ?

Returns
  0 if successful.

Definition at line 1412 of file plargs.c.

PLDLLIMPEXP void plrestore_locale | ( | char * | saved_lc_numeric_locale | ) |

Restore LC_NUMERIC locale string that was determined by plsave_set_locale with the pointer to that string as the argument. Also, free the memory for that string.

Parameters

  saved_lc_numeric_locale | The saved numeric locale..

Definition at line 3129 of file plctrl.c.

PLDLLIMPEXP void plRotationShear | ( | PLFLT * | xFormMatrix,
|  | PLFLT * | rotation,
|  | PLFLT * | shear,
|  | PLFLT * | stride
| ) |  |

Definition at line 2765 of file plot3d.c.

PLDLLIMPEXP char* plsave_set_locale | ( | void |  | ) |

Save LC_NUMERIC locale in a string. The pointer to that string is returned. Then set LC_NUMERIC to "C" locale. n.b. plsave_set_locale and plrestore_locale should always be used as a pair to surround PLplot code that absolutely requires the LC_NUMERIC "C" locale to be in effect. It is one of plrestore_locale's responsibilities to free the memory allocated here for the locale string.

Returns
  The LC_NUMERIC locale.

Definition at line 3085 of file plctrl.c.

int plsnprintf | ( | char * | buffer,
|  | int | n,
|  | const char * | format,
|  |  | ...
| ) |  |

Dummy function for snprintf(). This function just calls the unsafe function ignoring the string size. This function will rarely be needed if ever.

Parameters

  buffer | String output buffer.
  n | Size of buffer.
  format | The format string.
  ... | The values that go in the format string (...)

Returns
  The length of buffer that is actually used.

Definition at line 2997 of file plctrl.c.

int plsnscanf | ( | const char * | buffer,
|  | int | n,
|  | const char * | format,
|  |  | ...
| ) |  |

Dummy function for snscanf(). This function just calls the unsafe function ignoring the string size. This function will rarely be needed if ever.

Parameters

  buffer | String output buffer.
  n | Size of buffer.
  format | The format string.
  ... | The values that go in the format string (...)

Returns
  The length of buffer that is actually used.

Definition at line 3029 of file plctrl.c.

void plstik | ( | PLFLT | mx,
|  | PLFLT | my,
|  | PLFLT | dx,
|  | PLFLT | dy
| ) |  |

Definition at line 132 of file pltick.c.

void plstr | ( | PLINT | base,
|  | PLFLT * | xform,
|  | PLINT | refx,
|  | PLINT | refy,
|  | const char * | string
| ) |  |

Definition at line 783 of file plsym.c.

PLDLLIMPEXP char* plstrdup | ( | const char * | src | ) |

A replacement for strdup(), which isn't portable. Caller responsible for freeing the allocated memory.

Parameters

  src | The string to duplicate.

Returns
  A copy of the string src.

Definition at line 2969 of file plctrl.c.

PLFLT plstrl | ( | const char * | string | ) |

Definition at line 949 of file plsym.c.

void plstrm_init | ( | void |  | ) |

Definition at line 2609 of file plcore.c.

PLDLLIMPEXP void plwarn | ( | const char * | errormsg | ) |

A handy way to issue warnings, if need be.

Parameters

  errormsg | The error message.

Definition at line 1855 of file plctrl.c.

void plwxtik | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLBOOL | minor,
|  | PLBOOL | invert
| ) |  |

Definition at line 32 of file pltick.c.

void plwytik | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLBOOL | minor,
|  | PLBOOL | invert
| ) |  |

Definition at line 68 of file pltick.c.

void plxtik | ( | PLINT | x,
|  | PLINT | y,
|  | PLINT | below,
|  | PLINT | above
| ) |  |

Definition at line 105 of file pltick.c.

void plytik | ( | PLINT | x,
|  | PLINT | y,
|  | PLINT | left,
|  | PLINT | right
| ) |  |

Definition at line 118 of file pltick.c.

void RestoreWrite2BufferPixmap | ( | void |  | ) |

Definition at line 51 of file plimage.c.

PLDLLIMPEXP int ucs4_to_utf8 | ( | PLUNICODE | unichar,
|  | char * | ptr
| ) |  |

Definition at line 1231 of file plcore.c.

## Variable Documentation

Hershey_to_Unicode_table hershey_to_unicode_lookup_table[]

Definition at line 48 of file plhershey-unicode.h.

int number_of_entries_in_hershey_to_unicode_table

Definition at line 40 of file plhershey-unicode.h.

const char plP_greek_mnemonic[]

Definition at line 136 of file plcore.c.